Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations

QueryAlarmRecord

QueryAlarmRecord

GET/zstack/v1/zwatch/alarm-records

Operation ID

QueryAlarmRecord

Since

4.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • histograms
    ListRequired

    The histograms.

  • id
    longRequired

    The message ID.

  • createTime
    longRequired

    The creation date.

  • accountUuid
    StringRequired

    The account UUID.

  • alarmName
    StringRequired

    The alarm name.

  • alarmStatus
    StringRequired

    The alarm status.

  • alarmUuid
    StringRequired

    The alarm UUID.

  • comparisonOperator
    StringRequired

    The threshold comparison operator.

  • context
    StringRequired

    The context.

  • dataUuid
    StringRequired

    The message UUID.

  • emergencyLevel
    StringRequired

    The emergency level of an alarm.

  • labels
    StringRequired

    The labels.

  • metricName
    StringRequired

    The metric name.

  • metricValue
    DoubleRequired

    The metric value.

  • namespace
    StringRequired

    The namespace.

  • period
    intRequired

    The threshold duration.

  • readStatus
    BooleanRequired

    The read status.

  • resourceUuid
    StringRequired

    The resource UUID.

  • threshold
    DoubleRequired

    The threshold.

  • Change Time

    AddedResponse fields accountUuid, alarmName, alarmStatus...
    View API